# Register eBill
Register eBill for an account.
eBill offers an electronic view of bank slips linked to your document number, simplifying daily use without paper documents. You can pay slips via internet banking or a banking app, minimizing barcode errors, and track all accounts under your document number. For more details, refer to the [eBill](doc:banking-overview#ebill) section in the *Banking overview* guide.
This endpoint generates an [eBill registration status updated](https://developers.pismo.io/events/docs/integrated-payments-ebill-status-change-1) event.
# OpenAPI definition
```json
{
"openapi": "3.1.0",
"info": {
"title": "Banking - Integrated payments",
"version": "1.0",
"description": "API responsible for handling and processing integrated payments",
"contact": {
"name": "API Support",
"url": "https://developers.pismo.io/support/"
},
"license": {
"name": "Copyright Pismo"
}
},
"servers": [
{
"url": "https://sandbox.pismolabs.io/integrated-payments",
"description": "Sandbox API server for testing"
}
],
"security": [
{
"BearerAuth": []
}
],
"components": {
"parameters": {
"idempotencyKeyHeader": {
"name": "x-idempotency-key",
"in": "header",
"description": "Unique identifier (UUID) to ensure the operation remains idempotent, allowing for operation repitition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies.\n",
"required": true,
"schema": {
"type": "string"
},
"example": "6a17f82d-7365-4451-a83d-09403f05c1ec"
},
"accountIdPath": {
"name": "accountId",
"in": "path",
"description": "Your Pismo account ID.",
"required": true,
"schema": {
"type": "string"
},
"example": "78123456"
}
},
"schemas": {
"domain.Error": {
"type": "object",
"properties": {
"code": {
"type": "string",
"description": "Error type code.",
"example": "EIP0001"
},
"details": {
"type": "string",
"description": "Error details.",
"example": "Error details"
},
"message": {
"type": "string",
"description": "Error message describing the error.",
"example": "error"
}
}
},
"ebill.RegistrationResponse": {
"type": "object",
"properties": {
"id": {
"description": "Registration ID.",
"type": "string"
},
"external_id": {
"description": "Provider's external ID.",
"type": "string"
},
"status": {
"description": "Registration status.",
"type": "string"
}
}
}
},
"securitySchemes": {
"BearerAuth": {
"type": "http",
"scheme": "bearer",
"bearerFormat": "JWT"
}
}
},
"paths": {
"/v1/ebill-registration/accounts/{accountId}": {
"post": {
"tags": [
"eBill registration"
],
"summary": "Register eBill",
"description": "Register eBill for an account.
\neBill offers an electronic view of bank slips linked to your document number, simplifying daily use without paper documents. You can pay slips via internet banking or a banking app, minimizing barcode errors, and track all accounts under your document number. For more details, refer to the [eBill](https://developers.pismo.io/pismo-docs/docs/banking-overview#ebill) section in the *Banking overview* guide.
\nThis endpoint generates an [eBill registration status updated](https://developers.pismo.io/events/docs/integrated-payments-ebill-status-change-1) event.\n",
"operationId": "post-integrated-payments-api-v1-ebill-registration-accounts-accountId",
"parameters": [
{
"$ref": "#/components/parameters/accountIdPath"
},
{
"$ref": "#/components/parameters/idempotencyKeyHeader"
}
],
"responses": {
"201": {
"description": "Response Body",
"headers": {
"x-cid": {
"description": "Request tracking ID.",
"schema": {
"type": "string"
}
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ebill.RegistrationResponse"
}
}
}
},
"400": {
"description": "Bad Request",
"headers": {
"x-cid": {
"description": "Request tracking ID.",
"schema": {
"type": "string"
}
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/domain.Error"
},
"examples": {
"EIP0005": {
"summary": "Missing required header {x-tenant}",
"value": {
"code": "EIP0005",
"message": "Missing required header {x-tenant}"
}
},
"EIP0006": {
"summary": "Missing required header {x-account-id}",
"value": {
"code": "EIP0006",
"message": "Missing required header {x-account-id}"
}
},
"EIP0008": {
"summary": "Validation error",
"value": {
"code": "EIP0008",
"message": "Validation error"
}
}
}
}
}
},
"403": {
"description": "Forbidden",
"headers": {
"x-cid": {
"description": "Request tracking ID.",
"schema": {
"type": "string"
}
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/domain.Error"
},
"examples": {
"EIP0005": {
"summary": "Missing required header {x-tenant}",
"value": {
"code": "EIP0005",
"message": "Missing required header {x-tenant}"
}
},
"EIP0006": {
"summary": "Invalid account id header {x-account-id}",
"value": {
"code": "EIP0006",
"message": "Invalid account id header {x-account-id}"
}
}
}
}
}
},
"409": {
"description": "Conflict",
"headers": {
"x-cid": {
"description": "Request tracking ID.",
"schema": {
"type": "string"
}
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/domain.Error"
},
"examples": {
"EIP0065": {
"summary": "BankingGatewayAPI - API returned 409 provider error",
"value": {
"code": "EIP0029",
"message": "BankingGatewayAPI - API returned 409 provider error"
}
}
}
}
}
},
"500": {
"description": "Internal Server Error",
"headers": {
"x-cid": {
"description": "Request tracking ID.",
"schema": {
"type": "string"
}
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/domain.Error"
},
"examples": {
"EIP0004": {
"summary": "HTTP request error",
"value": {
"code": "EIP0004",
"message": "HTTP request error"
}
},
"EIP0007": {
"summary": "Internal error",
"value": {
"code": "EIP0007",
"message": "Internal error"
}
},
"EIP0022": {
"summary": "BankingGatewayAPI - API timeout error",
"value": {
"code": "EIP0022",
"message": "BankingGatewayAPI - API timeout error"
}
}
}
}
}
},
"502": {
"description": "Bad Gateway",
"headers": {
"x-cid": {
"description": "Request tracking ID.",
"schema": {
"type": "string"
}
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/domain.Error"
},
"examples": {
"EIP0024": {
"summary": "BankingGatewayAPI - API returned 5xx error",
"value": {
"code": "EIP0024",
"message": "BankingGatewayAPI - API returned 5xx error"
}
}
}
}
}
}
}
}
}
}
}
```